relaxngcc.builder

## Class TransitionTable.Entry

- java.lang.Object
- - relaxngcc.builder.TransitionTable.Entry

Enclosing class:
  TransitionTable

    public static class TransitionTable.Entry
    extends java.lang.Object

### Field Summary

Fields
`java.util.Vector` `alphabets`
`Transition` `transition`

### Constructor Summary

Constructors
Constructor and Description
`TransitionTable.Entry(Transition tr, Alphabet a)`

### Method Summary

Methods
`void` `addAlphabet(Alphabet a)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### transition

    public Transition transition

#### alphabets

    public java.util.Vector alphabets

### Constructor Detail

#### TransitionTable.Entry

    public TransitionTable.Entry(Transition tr,
                         Alphabet a)

### Method Detail

#### addAlphabet

    public void addAlphabet(Alphabet a)